# Class DevelopersTableReport

java.lang.Object
net.sf.statcvs.reports.AbstractLocTableReport
net.sf.statcvs.reports.DevelopersTableReport

All Implemented Interfaces:
  `TableReport`

public class DevelopersTableReport extends AbstractLocTableReport implements TableReport
Table report which creates a table containing the names of all developers, their LOC contributions and number of changes.

Version:
  $Id: DevelopersTableReport.java,v 1.3 2008/04/02 11:22:15 benoitx Exp $
Author:
  Richard Cyganiak (richard@cyganiak.de)

## Field Summary

### Fields inherited from class AbstractLocTableReport

`SORT_BY_LINES, SORT_BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`DevelopersTableReport(ReportConfig config)`
Creates a table report containing all authors, their number of changes and LOC contributions.

## Method Summary

Modifier and Type
Method
Description
`void`
`calculate()`
Calculates the report from the source data.
`Table`
`getTable()`
Returns the table data model.

### Methods inherited from class AbstractLocTableReport

`calculateChangesAndLinesPerDeveloper, calculateChangesAndLinesPerDirectory, createChangesAndLinesTable, getChangesMap, getContent, getDeveloperCount, getLinesMap`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DevelopersTableReport

public DevelopersTableReport(ReportConfig config)
Creates a table report containing all authors, their number of changes and LOC contributions.

Parameters:
  `content` - the version control source data

## Method Details

### calculate

public void calculate()
Description copied from interface: `TableReport`
Calculates the report from the source data.

Specified by:
  `calculate` in interface `TableReport`
See Also:
  - `TableReport.calculate()`

### getTable

public Table getTable()
Description copied from interface: `TableReport`
Returns the table data model.

Specified by:
  `getTable` in interface `TableReport`
Returns:
  the table data model
See Also:
  - `TableReport.getTable()`